Debian Bug report logs - #599249
unblock: ttf-tuffy/20071106-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Christian Perrier <bubulle@debian.org>

Date: Wed, 6 Oct 2010 06:45:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-fonts-devel@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#599249; Package release.debian.org. (Wed, 06 Oct 2010 06:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-fonts-devel@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 06 Oct 2010 06:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: ttf-tuffy/20071106-3
Date: Wed, 06 Oct 2010 07:19:55 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package ttf-tuffy

unblock ttf-tuffy/20071106-3


(originally proposed by Fabian Greffrath)
please let ttf-tuffy_20071106-3 migrate to testing. It removes a
spurious patch that was introduced by wrong usage of source v3.0. It was
unapplying 01-spurious-langnames.patch, which fixed a nasty upstream bug
in the font source files. Please find the debdiff below.

(comments by /me)
I have to add to this that, as we had it pending in our SVN, another
change flew in, namely dropping a Recommends on obsolete stuff. We
indeed dropped these Recommends in many font packages, so that one
just gets inline with this. Please notice that this drop didn't
trigger any problem that we're aware about, as of now....even though
it was done in much more popular font packages.

Besides that, I confirm what Fabian mentioned. Even though no RC bug
was raised for this (Fabian even hadn't time for that as I fixed the
issue as quickly as possible, being the culprit for the original
mistake), that was an RC issue.

diff -Nru ttf-tuffy-20071106/debian/changelog ttf-tuffy-20071106/debian/changelog
--- ttf-tuffy-20071106/debian/changelog	2009-12-07 21:31:56.000000000 +0100
+++ ttf-tuffy-20071106/debian/changelog	2010-10-05 20:14:43.000000000 +0200
@@ -1,3 +1,12 @@
+ttf-tuffy (20071106-3) unstable; urgency=low
+
+  * Team upload
+  * Drop x-ttcidfont-conf, fontconfig et al. from Recommends
+  * Drop a spurious patch introduced by a wrong use of source v3.0, 
+    that was unapplying 01-spurious-langnames.patch
+
+ -- Christian Perrier <bubulle@debian.org>  Tue, 05 Oct 2010 20:14:43 +0200
+
 ttf-tuffy (20071106-2) unstable; urgency=low
 
   [ Christian Perrier ]
diff -Nru ttf-tuffy-20071106/debian/control ttf-tuffy-20071106/debian/control
--- ttf-tuffy-20071106/debian/control	2009-12-07 21:31:37.000000000 +0100
+++ ttf-tuffy-20071106/debian/control	2009-12-20 17:51:43.000000000 +0100
@@ -13,7 +13,6 @@
 Package: ttf-tuffy
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: x-ttcidfont-conf | fontconfig
 Description: The Tuffy Truetype Font Family
  Thatcher Ulrich's first outline font design. He started with the goal of
  producing a neutral, readable sans-serif text font. There are lots of
diff -Nru ttf-tuffy-20071106/debian/patches/debian-changes-20071106-2 ttf-tuffy-20071106/debian/patches/debian-changes-20071106-2
--- ttf-tuffy-20071106/debian/patches/debian-changes-20071106-2	2009-12-07 21:51:36.000000000 +0100
+++ ttf-tuffy-20071106/debian/patches/debian-changes-20071106-2	1970-01-01 01:00:00.000000000 +0100
@@ -1,92 +0,0 @@
-Description: Upstream changes introduced in version 20071106-2
- This patch has been created by dpkg-source during the package build.
- Here's the last changelog entry, hopefully it gives details on why
- those changes were made:
- .
- ttf-tuffy (20071106-2) unstable; urgency=low
- .
-   [ Christian Perrier ]
-   * Switch to 3.0 (quilt) source format
-   * Update Standards to 3.8.3 (checked)
-   * Drop defoma use
- .
-   [ Fabian Greffrath ]
-   * debian/clean:
-     + New file. Delete *.otf as well, as they are not created from the patched
-       sources.
-   * debian/compat:
-     + Raised debhelper compatibility to 7.
-   * debian/control:
-     + Changed section to fonts.
-     + Set Maintainer to Debian Fonts Task Force and added myself to Uploaders.
-     + Updated my email address.
-     + Added Vcs-Svn and Vcs-Browser fields.
-     + Raised Build-Depends to debhelper (>= 7.0.50~) and quilt (>= 0.46-7).
-     + Removed versioned Build-Depends-Indep on defoma.
-     + Changed Build-Depends-Indep to "fontforge-nox | fontforge".
-     + Bumped Standards-Version to 3.8.2.
-   * debian/copyright:
-     + Coverted into a machine-readable format, relicensed the Debian packaging
-       under the GNU All-Permissive license and added license information for
-       the FontForge script.
-   * debian/control, debian/patches/*, debian/rules:
-     + Switched from dpatch to quilt.
-   * debian/postinst:
-     + Removed. No need to manually regenerate the font cache anymore, since
-       fontconfig (2.6.0-4) already registered a trigger.
-   * debian/rules:
-     + Converted from cdbs to debhelper 7.2.
-   * debian/ttf-tuffy.{defoma-hints,install}:
-     + Renamed from debian/defoma-hints and debian/install.
- .
- The person named in the Author field signed this changelog entry.
-Author: Fabian Greffrath <fabian+debian@greffrath.com>
-
----
-The information above should follow the Patch Tagging Guidelines, please
-checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
-are templates for supplementary fields that you might want to add:
-
-Origin: <vendor|upstream|other>, <url of original patch>
-Bug: <url in upstream bugtracker>
-Bug-Debian: http://bugs.debian.org/<bugnumber>
-Forwarded: <no|not-needed|url proving that it has been forwarded>
-Reviewed-By: <name and email of someone who approved the patch>
-Last-Update: <YYYY-MM-DD>
-
---- ttf-tuffy-20071106.orig/tuffy_regular.sfd
-+++ ttf-tuffy-20071106/tuffy_regular.sfd
-@@ -55,6 +55,15 @@ ScriptLang: 2
- TtfTable: cvt  4
- !$MDh
- EndTtf
-+LangName: 1053 "" "" "MagerKursiv" 
-+LangName: 1034 "" "" "NormalCursiva" 
-+LangName: 1049 "" "" "+BB4EMQRLBEcEPQRLBDkEGgRDBEAEQQQ4BDIA" 
-+LangName: 1044 "" "" "VanligKursiv" 
-+LangName: 1040 "" "" "NormaleCursivo" 
-+LangName: 1038 "" "" "Norm+AOEA-lD+AVEA-lt" 
-+LangName: 1031 "" "" "StandardKursiv" 
-+LangName: 1036 "" "" "NormalItalique" 
-+LangName: 1043 "" "" "RegelmatigCursief" 
- LangName: 1033 "" "" "" "" "" "" "" "" "" "Thatcher Ulrich" "" "http://tulrich.com+AAoA" "http://tulrich.com+AAoA" "Public Domain+AAoA" 
- Encoding: Custom
- UnicodeInterp: none
---- ttf-tuffy-20071106.orig/tuffy_italic.sfd
-+++ ttf-tuffy-20071106/tuffy_italic.sfd
-@@ -55,6 +55,15 @@ ScriptLang: 2
- TtfTable: cvt  4
- !$MDh
- EndTtf
-+LangName: 1053 "" "" "MagerKursiv" 
-+LangName: 1034 "" "" "NormalCursiva" 
-+LangName: 1049 "" "" "+BB4EMQRLBEcEPQRLBDkEGgRDBEAEQQQ4BDIA" 
-+LangName: 1044 "" "" "VanligKursiv" 
-+LangName: 1040 "" "" "NormaleCursivo" 
-+LangName: 1038 "" "" "Norm+AOEA-lD+AVEA-lt" 
-+LangName: 1031 "" "" "StandardKursiv" 
-+LangName: 1036 "" "" "NormalItalique" 
-+LangName: 1043 "" "" "RegelmatigCursief" 
- LangName: 1033 "" "" "" "" "" "" "" "" "" "Thatcher Ulrich" "" "http://tulrich.com+AAoA" "http://tulrich.com+AAoA" "Public Domain+AAoA" 
- Encoding: Custom
- UnicodeInterp: none
diff -Nru ttf-tuffy-20071106/debian/patches/series ttf-tuffy-20071106/debian/patches/series
--- ttf-tuffy-20071106/debian/patches/series	2009-12-07 21:28:41.000000000 +0100
+++ ttf-tuffy-20071106/debian/patches/series	2010-10-05 19:40:53.000000000 +0200
@@ -1,2 +1 @@
 01-spurious-langnames.patch
-debian-changes-20071106-2




-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 06 Oct 2010 22:27:12 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Wed, 06 Oct 2010 22:27:12 GMT) Full text and rfc822 format available.

Message #10 received at 599249-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Christian Perrier <bubulle@debian.org>, 599249-done@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Cc: debian-release@lists.debian.org
Subject: Re: Bug#599249: unblock: ttf-tuffy/20071106-3
Date: Thu, 7 Oct 2010 00:25:37 +0200
[Message part 1 (text/plain, inline)]
On Wed, Oct  6, 2010 at 07:19:55 +0200, Christian Perrier wrote:

> Please unblock package ttf-tuffy
> 
On Wed, Oct  6, 2010 at 07:41:50 +0200, Fabian Greffrath wrote:

> please let ttf-tuffy_20071106-3 migrate to testing.
> 
Unblocked.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 04 Nov 2010 07:33:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:54:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.